Package: org.grails.encoder

## [Java] Interface EncodesToWriter

-     public interface EncodesToWriter

  Marks a class capable of encoding to target Writer

  Authors:
    Lari Hotari
  Since:
    2.3.10

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public EncodesToWriter` | `createChainingEncodesToWriter(java.util.List<StreamingEncoder> additionalEncoders, boolean applyAdditionalFirst)`
    `` | `public void` | `encodeToWriter(java.lang.CharSequence str, int off, int len, java.io.Writer writer, EncodingState encodingState)`
    `` | `public void` | `encodeToWriter(char[] buf, int off, int len, java.io.Writer writer, EncodingState encodingState)`

- - ### Method Detail

    - #### public EncodesToWriter createChainingEncodesToWriter(java.util.List<StreamingEncoder> additionalEncoders, boolean applyAdditionalFirst)

    - #### public void encodeToWriter(java.lang.CharSequence str, int off, int len, java.io.Writer writer, EncodingState encodingState)

    - #### public void encodeToWriter(char[] buf, int off, int len, java.io.Writer writer, EncodingState encodingState)